class {{ className }} extends AbstractField
{
    public function getType()
    {
        return {{ type }};
    }

    public function getName()
    {
        return "{{ name }}";
    }

    public function getUri()
    {
        return "{{ uri }}";
    }

    public function getRangeUri()
    {
        {% if range is not null %}
            return "{{ range }}";
        {% else %}
            return null;
        {% endif %}
    }

    {% if description %}
    public function getDescription()
    {
        return "{{ description }}";
    }
    {% endif %}
}

